const express = require('express');
const blogController = require('../controllers/blogController');
const passport = require('passport');
const authorize = require('../middlewares/authorize');
const router = express.Router();


router.post('/', blogController.createblog);
router.get('/', blogController.getblogs);
router.get('/protected', 
    passport.authenticate('jwt', { session: false }),
    blogController.getblogs);
router.get('/protectedadmin', 
    passport.authenticate('jwt', { session: false }),
    authorize(['admin']),
    blogController.getblogs);
router.get('/:id', blogController.getblog);
router.put('/:id', blogController.updateblog);
router.delete('/:id', blogController.deleteblog);

module.exports = router;